#!/bin/bash
CURRENT_PATH=$(pwd);
ROOT_PATH=$(cd `dirname $0`/; pwd);
RUN_PATH=${ROOT_PATH}

echo $1
TARGET=$1

cd ${RUN_PATH}
pwd

if [[ $TARGET = "gateway" ]]
then
  npx pm2 start --hp ${RUN_PATH} ${RUN_PATH}/pm2.json
elif [[ $TARGET = "gateway-all" ]]
then
  npx pm2 start --hp ${RUN_PATH} ${RUN_PATH}/pm2.json
fi
